Search the auction house
curl --request GET \
--url https://api.skytools.app/v1/auctions/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.skytools.app/v1/auctions/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.skytools.app/v1/auctions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skytools.app/v1/auctions/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skytools.app/v1/auctions/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skytools.app/v1/auctions/search")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skytools.app/v1/auctions/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"auctions": [
{}
],
"page": 123,
"limit": 123,
"totalAuctions": 123,
"totalPages": 123,
"totalLive": 123,
"lastUpdated": 123
},
"meta": {
"cached": true,
"api_version": "v1",
"stale": true,
"age_seconds": 123
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "API key is required."
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "API key is required."
}
}Auctions
Search the auction house
Server-side search, filter, sort and pagination across the full auction house (in-memory index, refreshed ~every 60s).
GET
/
auctions
/
search
Search the auction house
curl --request GET \
--url https://api.skytools.app/v1/auctions/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.skytools.app/v1/auctions/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.skytools.app/v1/auctions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skytools.app/v1/auctions/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skytools.app/v1/auctions/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skytools.app/v1/auctions/search")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skytools.app/v1/auctions/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"auctions": [
{}
],
"page": 123,
"limit": 123,
"totalAuctions": 123,
"totalPages": 123,
"totalLive": 123,
"lastUpdated": 123
},
"meta": {
"cached": true,
"api_version": "v1",
"stale": true,
"age_seconds": 123
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "API key is required."
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "API key is required."
}
}Authorizations
API key starting with sk_. Get one at https://developer.skytools.app/keys
Query Parameters
Was this page helpful?
